<?php

namespace App\Browser\Jobs\Hellcase;

use Laravel\Dusk\Browser;
use function rtrim;


class HellcaseDailyFreeScreenshot {
    public const IMG_FILE_NAME = "Hellcase-dailyFreeLoot";

    /**
     * QR code validity in seconds
     * @var int
     */
    public const QR_CODE_VALIDITY = 20;

    public static function getImgFileAbsolutePath(): string {
        return rtrim(Browser::$storeScreenshotsAt, '/') . "/Hellcase/" . static::IMG_FILE_NAME;
    }

    public static function getImgFileProjectPath(): string {
        return app_path("Browser/screenshots/Hellcase/" . static::IMG_FILE_NAME);
    }

    public static function getImgFileExternalPath(): string {
        return "screenshots/Hellcase/" . static::IMG_FILE_NAME;
    }
}
